Subject: Re: [PATCH iproute2] bridge: Add master device name to bridge fdb show

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 31 May 2014 07:10:31 -0400

On 05/31/14 00:27, Roopa Prabhu wrote:
> On 5/30/14, 7:36 AM, Stephen Hemminger wrote:

> but set also uses 'master' ..and the bridge is referenced using 'master'
> in almost all commands
> #ip link set dev brport master brdev
>
> so, using 'bridge' and 'master' interchangeably seems a bit confusing.
>
> But, if  the preference is 'bridge' i will resubmit this patch with
> 'bridge' shortly.

Sorry - I guess until i looked at the code again last few minutes,
it had skipped my mind that this interface is also used for vxlan. So 
master now seems to make more sense ;->

Vlad, you may get your wish - it seems if i am going to have to set
the bridge device as a filter I will have no choice but to use an
ifm since it is size different from ndm. Which is not a big deal
until i attach an attribute - which breaks old iproute2  out in
the wild already. I have to say i am not liking this (because i was
hoping to add other filters in the future, example vlan)
but dont see a way out.
So the only way this would work is to use the original ifm as
the header.

cheers,
jamal